Index: /trunk/IPs/systemC/processor/Morpheo/TopLevel/SelfTest/toto
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/TopLevel/SelfTest/toto	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/TopLevel/SelfTest/toto	(revision 88)
@@ -0,0 +1,1754 @@
+-------------------| SelfTest
+Create directory   : obj
+Create directory   : /tmp/Morpheo/bin
+Create directory   : log
+Create directory   : obj
+Compilation        : Translation
+Compilation        : Environm-------------------| Common
+Archive            : libCommon
+ar: creating lib/libCommon.a
+a - obj/Debug.o
+a - obj/Environment.o
+a - obj/Message.o
+a - obj/ToString.o
+a - obj/Translation.o
+Create directory   : obj
+Create directory   : lib
+Compilation        : Vhdl_get_architecture
+testbencComCompCompilation        : Stat_create_counter
+Archive            : libBehavioural
+ar: creating lib/libBehavioural.a
+a - obj/Component.o
+a - obj/Component_find_entity.o
+a - obj/Component_generate_file.o
+a - obj/Component_get_component.o
+a - obj/Component_get_entity.o
+a - obj/Component_get_name.o
+a - obj/Component_interface_map.o
+a - obj/Component_port_map.o
+a - obj/Component_print.o
+a - obj/Component_set_component.o
+a - obj/Component_set_entity.o
+a - obj/Component_signal_internal.o
+a - obj/Component_test_map.o
+a - obj/Component_toXML.o
+a - obj/Component_vhdl_instance.o
+a - obj/Entity.o
+a - obj/Entity_find_interface.o
+a - obj/Entity_find_signal.o
+a - obj/Entity_get_comment.o
+a - obj/Entity_get_interfaces.o
+a - obj/Entity_get_name.o
+a - obj/Entity_get_type.o
+a - obj/Entity_mapping.o
+a - obj/Entity_print.o
+a - obj/Entity_set_comment.o
+a - obj/Entity_set_interfaces.o
+a - obj/Entity_test_map.o
+a - obj/Entity_toXML.o
+a - obj/Identification.o
+a - obj/Interface.o
+a - obj/Interface_fifo.o
+a - obj/Interface_fifo_get_cycle.o
+a - obj/Interface_fifo_save_ptr.o
+a - obj/Interface_fifo_set_signal.o
+a - obj/Interface_fifo_testbench.o
+a - obj/Interface_fifo_testbench_cycle.o
+a - obj/Interface_fifo_testbench_test.o
+a - obj/Interface_fifo_testbench_test_transaction.o
+a - obj/Interface_fifo_testbench_transaction.o
+a - obj/Interface_find_signal.o
+a - obj/Interface_get_clock.o
+a - obj/Interface_get_comment.o
+a - obj/Interface_get_cycle.o
+a - obj/Interface_get_name.o
+a - obj/Interface_get_reset.o
+a - obj/Interface_get_signal.o
+a - obj/Interface_interface_map.o
+a - obj/Interface_print.o
+a - obj/Interfaces.o
+a - obj/Interface_set_comment.o
+a - obj/Interface_set_port.o
+a - obj/Interface_set_signal.o
+a - obj/Interfaces_find_interface.o
+a - obj/Interfaces_find_signal.o
+a - obj/Interfaces_get_clock.o
+a - obj/Interfaces_get_cycle.o
+a - obj/Interfaces_get_interface.o
+a - obj/Interfaces_get_reset.o
+a - obj/Interfaces_get_signal.o
+a - obj/Interface_signal_name.o
+a - obj/Interfaces_print.o
+a - obj/Interfaces_set_interface.o
+a - obj/Interfaces_set_port.o
+a - obj/Interfaces_set_signal.o
+a - obj/Interfaces_testbench_body.o
+a - obj/Interfaces_testbench.o
+a - obj/Interfaces_testbench_generate_file.o
+a - obj/Interfaces_test_map.o
+a - obj/Interfaces_toXML.o
+a - obj/Interface_testbench_body.o
+a - obj/Interface_testbench.o
+a - obj/Interface_testbench_cycle.o
+a - obj/Interface_testbench_test.o
+a - obj/Interface_testbench_test_name.o
+a - obj/Interface_testbench_test_ok.o
+a - obj/Interface_test_map.o
+a - obj/Interface_toXML.o
+a - obj/Parameters_copy.o
+a - obj/Parameters.o
+a - obj/Parameters_Statistics.o
+a - obj/Parameters_test.o
+a - obj/Signal_connect.o
+a - obj/Signal.o
+a - obj/Signal_get_clock.o
+a - obj/Signal_get_connect_from_signal.o
+a - obj/Signal_get_connect_to_signal.o
+a - obj/Signal_get_direction.o
+a - obj/Signal_get_name.o
+a - obj/Signal_get_name_vhdl.o
+a - obj/Signal_get_reset.o
+a - obj/Signal_get_reset_cycle.o
+a - obj/Signal_get_size.o
+a - obj/Signal_get_type_info.o
+a - obj/Signal_link.o
+a - obj/Signal_presence_testbench.o
+a - obj/Signal_presence_vhdl.o
+a - obj/Signal_print.o
+a - obj/Signal_set_port.o
+a - obj/Signal_set_size.o
+a - obj/Signal_testbench_body.o
+a - obj/Signal_testbench.o
+a - obj/Signal_testbench_test_ok.o
+a - obj/Signal_test_map.o
+a - obj/Signal_toXML.o
+a - obj/Simulation.o
+a - obj/Simulation_end_cycle.o
+a - obj/Simulation_test_end.o
+a - obj/SPR_access_mode_change_mode.o
+a - obj/SPR_access_mode.o
+a - obj/SPR_access_mode_exist.o
+a - obj/SPR_access_mode_implement_group.o
+a - obj/SPR_access_mode_invalid_register.o
+a - obj/SPR_access_mode_read_write.o
+a - obj/SPR_access_mode_translate_address.o
+a - obj/SPR_access_mode_valid.o
+a - obj/Stat_add_stat.o
+a - obj/Stat_alloc_operand.o
+a - obj/Stat_binary_tree_change_type.o
+a - obj/Stat_binary_tree.o
+a - obj/Stat_binary_tree_eval.o
+a - obj/Stat_binary_tree_goto_next_root.o
+a - obj/Stat_binary_tree_goto_top_level.o
+a - obj/Stat_binary_tree_import.o
+a - obj/Stat_binary_tree_insert_tree.o
+a - obj/Stat_binary_tree_is_leaf.o
+a - obj/Stat_binary_tree_valid.o
+a - obj/Stat_binary_tree_val_leaf.o
+a - obj/Stat_binary_tree_val_tree.o
+a - obj/Stat.o
+a - obj/Stat_create_counter.o
+a - obj/Stat_create_expr.o
+a - obj/Stat_create_variable.o
+a - obj/Stat_end_cycle.o
+a - obj/Stat_end_simulation.o
+a - obj/Stat_eval_expr.o
+a - obj/Stat_eval_exprs.o
+a - obj/Stat_generate_file.o
+a - obj/Stat_have_counter.o
+a - obj/Stat_is_valid_var.o
+a - obj/Stat_print.o
+a - obj/Stat_string2tree.o
+a - obj/Stat_test_and_save.o
+a - obj/Test.o
+a - obj/Types.o
+a - obj/Usage.o
+a - obj/Vhdl.o
+a - obj/Vhdl_direction_toString.o
+a - obj/Vhdl_generate_file.o
+a - obj/Vhdl_generate_file_model.o
+a - obj/Vhdl_generate_file_package.o
+a - obj/Vhdl_get_alias.o
+a - obj/Vhdl_get_architecture.o
+a - obj/Vhdl_get_body.o
+a - obj/Vhdl_get_component.o
+a - obj/Vhdl_get_entity.o
+a - obj/Vhdl_get_header.o
+a - obj/Vhdl_get_library_ieee.o
+a - obj/Vhdl_get_library_work.o
+a - obj/Vhdl_get_list.o
+a - obj/Vhdl_get_model.o
+a - obj/Vhdl_get_package.o
+a - obj/Vhdl_get_port.o
+a - obj/Vhdl_get_signal.o
+a - obj/Vhdl_get_type.o
+a - obj/Vhdl_set_alias.o
+a - obj/Vhdl_set_body_component.o
+a - obj/Vhdl_set_body_component_port_map.o
+a - obj/Vhdl_set_body.o
+a - obj/Vhdl_set_constant.o
+a - obj/Vhdl_set_library_work.o
+a - obj/Vhdl_set_list.o
+a - obj/Vhdl_set_port.o
+a - obj/Vhdl_set_signal.o
+a - obj/Vhdl_set_type.o
+a - obj/Vhdl_std_logic.o
+a - obj/XML_attribut.o
+a - obj/XML_balise_close.o
+a - obj/XML_balise_open_begin.o
+a - obj/XML_balise_open.o
+a - obj/XML_balise_open_end.o
+a - obj/XML_comment.o
+a - obj/XML.o
+a - obj/XML_depth.o
+a - obj/XML_filename_extension.o
+a - obj/XML_generate_file.o
+a - obj/XML_get_body.o
+a - obj/XML_header.o
+a - obj/XML_indent.o
+a - obj/XML_insert_XML.o
+a - obj/XMLLightFunctors.o
+a - obj/XML_singleton_begin.o
+a - obj/XML_singleton.o
+a - obj/XML_singleton_end.o
+a - obj/XML_text.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Instruction
+-------------------| Instruction
+Archive            : libInstruction
+ar: creating lib/libInstruction.a
+a - obj/Instruction.o
+Create directory   : obj
+Compilation        : Operation
+-------------------| Operation
+Archive            : libOperation
+ar: creating lib/libOperation.a
+a - obj/Operation.o
+Create directory   : obj
+Compilation        : Custom_default
+-------------------| Custom
+Archive            : libCustom
+ar: creating lib/libCustom.a
+a - obj/Custom_default.o
+a - obj/Custom_example.o
+a - obj/Encryption.o
+a - obj/Random.o
+Create directory   : obj
+Compilation        : Generator_getLinkCompilation        : Instance_gCompilation        : Link_affectation_print
+-------------------| Configuration
+File
+Compilation        : Parameter_affectation_toXML
+src/Instance_link2array.cpp: In member function 'std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > morpheo::behavioural::configuration::Instance::link2array(std::string)':
+src/Instance_link2array.cpp:33: attention : comparaison est toujours vraie en raison d'une gamme limitée de type de données
+Archive            : libConfiguration
+ar: creating lib/libConfiguration.a
+a - obj/Configuration.o
+a - obj/Configuration_getName.o
+a - obj/Configuration_getParam.o
+a - obj/Configuration_getParamStatistics.o
+a - obj/Configuration_getUsage.o
+a - obj/Configuration_print.o
+a - obj/Configuration_toFile.o
+a - obj/Generator.o
+a - obj/Generator_fromFile.o
+a - obj/Generator_getLink.o
+a - obj/Generator_getParam.o
+a - obj/Generator_insert.o
+a - obj/Generator_print.o
+a - obj/Generator_test.o
+a - obj/Generator_toFile.o
+a - obj/Generator_toXML.o
+a - obj/Instance.o
+a - obj/Instance_fromFile.o
+a - obj/Instance_fromInternalStructure.o
+a - obj/Instance_fromXMLLight.o
+a - obj/Instance_getLink.o
+a - obj/Instance_getName.o
+a - obj/Instance_getParam.o
+a - obj/Instance_link2array.o
+a - obj/Instance_print.o
+a - obj/Instance_test.o
+a - obj/Instance_test_use.o
+a - obj/Instance_toFile.o
+a - obj/Instance_toXML.o
+a - obj/Link_affectation.o
+a - obj/Link_affectation_print.o
+a - obj/Link_affectation_toXML.o
+a - obj/Link_definition.o
+a - obj/Link_definition_print.o
+a - obj/Link_definition_toXML.o
+a - obj/Parameter_affectation.o
+a - obj/Parameter_affectation_print.o
+a - obj/Parameter_affectation_toXML.o
+a - obj/Parameter_definition.o
+a - obj/Parameter_definition_print.o
+a - obj/Parameter_definition_test.o
+a - obj/Parameter_definition_toXML.o
+a - obj/Simulator.o
+a - obj/Simulator_fromFile.o
+a - obj/Simulator_getParam.o
+a - obj/Simulator_insert.o
+a - obj/Simulator_print.o
+a - obj/Simulator_toFile.o
+a - obj/Simulator_toXML.o
+a - obj/XMLUtils_getAttribute.o
+a - obj/XMLUtils_testAttributesEmpty.o
+a - obj/XMLUtils_testNoAttribute.o
+a - obj/XMLUtils_testNodeName.o
+a - obj/XMLUtils_testSingleton.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Priority_reset_load_balancing_noneCompilation        : Priority_allocation
+Archive            : libPriority
+ar: creating lib/libPriority.a
+a - obj/Priority_allocation.o
+a - obj/Priority.o
+a - obj/Priority_deallocation.o
+a - obj/Priority_reset.o
+a - obj/Priority_reset_load_balancing_balance.o
+a - obj/Priority_reset_load_balancing_maximum_for_priority.o
+a - obj/Priority_reset_load_balancing_none.o
+a - obj/Priority_reset_load_balancing_priority_only.o
+a - obj/Priority_reset_priority_none.o
+a - obj/Priority_reset_priority_round_robin.o
+a - obj/Priority_reset_priority_static.o
+a - obj/Priority_select.o
+a - obj/Priority_transition.o
+a - obj/Priority_transition_load_balancing_balance.o
+a - obj/Priority_transition_load_balancing_maximum_for_priority.o
+a - obj/Priority_transition_load_balancing_none.o
+a - obj/Priority_transition_load_balancing_priority_only.o
+a - obj/Priority_transition_priority_none.o
+a - obj/Priority_transition_priority_round_robin.o
+a - obj/Priority_transition_priority_static.o
+-------------------| Common
+Create directory   : obj
+Compilation        : Icache_Access_deallocCompCompilCompilation    Compilation        : Icache_Access_end_cycle
+Archive            : libIcache_Access
+ar: creating lib/libIcache_Access.a
+a - obj/Icache_Access_allocation.o
+a - obj/Icache_Access.o
+a - obj/Icache_Access_deallocation.o
+a - obj/Icache_Access_end_cycle.o
+a - obj/Icache_Access_genMealy_req.o
+a - obj/Icache_Access_genMealy_rsp.o
+a - obj/Icache_Access_statistics_allocation.o
+a - obj/Icache_Access_statistics_deallocation.o
+a - obj/Icache_Access_transition.o
+a - obj/Icache_Access_vhdl_body.o
+a - obj/Icache_Access_vhdl.o
+a - obj/Icache_Access_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Compilation        : Dcache_AcceCompilation        : Dcache_Access_genMealy_rCompilation        : Dcache_Access_deallocation
+Archive            : libDcache_Access
+ar: creating lib/libDcache_Access.a
+a - obj/Dcache_Access_allocation.o
+a - obj/Dcache_Access.o
+a - obj/Dcache_Access_deallocation.o
+a - obj/Dcache_Access_end_cycle.o
+a - obj/Dcache_Access_genMealy_req.o
+a - obj/Dcache_Access_genMealy_rsp.o
+a - obj/Dcache_Access_statistics_allocation.o
+a - obj/Dcache_Access_statistics_deallocation.o
+a - obj/Dcache_Access_transition.o
+a - obj/Dcache_Access_vhdl_body.o
+a - obj/Dcache_Access_vhdl.o
+a - obj/Dcache_Access_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Address_management
+Compilation        : Parameters
+agement_statistics_deallocatioCompilation        : Address_management_vhdl
+-------------------| Address_management
+Compilation        : Address_management_allocation
+Compilation        : Address_management_end_cycle
+Compilation        : Address_management_transition
+Archive            : libAddress_management
+ar: creating lib/libAddress_management.a
+a - obj/Address_management_allocation.o
+a - obj/Address_management.o
+a - obj/Address_management_deallocation.o
+a - obj/Address_management_end_cycle.o
+a - obj/Address_management_genMoore.o
+a - obj/Address_management_statistics_allocation.o
+a - obj/Address_management_statistics_deallocation.o
+a - obj/Address_management_transition.o
+a - obj/Address_management_vhdl_body.o
+a - obj/Address_management_vhdl.o
+a - obj/Address_management_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Ifetch_queue_statCompilation        : Ifetch_queue_allocation
+e
+-------------------| Ifetch_queue
+Archive            : libIfetch_queue
+ar: creating lib/libIfetch_queue.a
+a - obj/Ifetch_queue_allocation.o
+a - obj/Ifetch_queue.o
+a - obj/Ifetch_queue_deallocation.o
+a - obj/Ifetch_queue_end_cycle.o
+a - obj/Ifetch_queue_genMoore.o
+a - obj/Ifetch_queue_statistics_allocation.o
+a - obj/Ifetch_queue_statistics_deallocation.o
+a - obj/Ifetch_queue_transition.o
+a - obj/Ifetch_queue_vhdl_body.o
+a - obj/Ifetch_queue_vhdl.o
+a - obj/Ifetch_queue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Ifetch_unit_Glue_vhdlCompilation        : Ifetch_unitCompilation        : Ifetch_unit_Glue_allocation
+Compilation        : Ifetch_unit_Glue_statistics_deallocation
+-------------------| Ifetch_unit_Glue
+Archive            : libIfetch_unit_Glue
+ar: creating lib/libIfetch_unit_Glue.a
+a - obj/Ifetch_unit_Glue_allocation.o
+a - obj/Ifetch_unit_Glue.o
+a - obj/Ifetch_unit_Glue_deallocation.o
+a - obj/Ifetch_unit_Glue_end_cycle.o
+a - obj/Ifetch_unit_Glue_genMealy_event.o
+a - obj/Ifetch_unit_Glue_genMealy_icache_req.o
+a - obj/Ifetch_unit_Glue_statistics_allocation.o
+a - obj/Ifetch_unit_Glue_statistics_deallocation.o
+a - obj/Ifetch_unit_Glue_transition.o
+a - obj/Ifetch_unit_Glue_vhdl_body.o
+a - obj/Ifetch_unit_Glue_vhdl.o
+a - obj/Ifetch_unit_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Ifetch_unit_transCompi-------------------| Ifetch_unit
+Archive            : libIfetch_unit
+ar: creating lib/libIfetch_unit.a
+a - obj/Ifetch_unit_allocation.o
+a - obj/Ifetch_unit.o
+a - obj/Ifetch_unit_deallocation.o
+a - obj/Ifetch_unit_end_cycle.o
+a - obj/Ifetch_unit_statistics_allocation.o
+a - obj/Ifetch_unit_statistics_deallocation.o
+a - obj/Ifetch_unit_transition.o
+a - obj/Ifetch_unit_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Branch_Targ-------------------| Branch_TargCompilation        : Branch_Target_Buffer_Glue_statistics_deallocation
+_Buffer_Glue_vhdl_declaration
+Compilation        : Branch_Target_Buffer_Glue_end_cycle
+Archive            : libBranch_Target_Buffer_Glue
+ar: creating lib/libBranch_Target_Buffer_Glue.a
+a - obj/Branch_Target_Buffer_Glue_allocation.o
+a - obj/Branch_Target_Buffer_Glue.o
+a - obj/Branch_Target_Buffer_Glue_deallocation.o
+a - obj/Branch_Target_Buffer_Glue_end_cycle.o
+a - obj/Branch_Target_Buffer_Glue_genMealy_decod.o
+a - obj/Branch_Target_Buffer_Glue_genMealy_predict.o
+a - obj/Branch_Target_Buffer_Glue_genMealy_update.o
+a - obj/Branch_Target_Buffer_Glue_statistics_allocation.o
+a - obj/Branch_Target_Buffer_Glue_statistics_deallocation.o
+a - obj/Branch_Target_Buffer_Glue_transition.o
+a - obj/Branch_Target_Buffer_Glue_vhdl_body.o
+a - obj/Branch_Target_Buffer_Glue_vhdl.o
+a - obj/Branch_Target_Buffer_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Branch_Target_Buffer_Register_genMeCompilation      Compilation        : Branch-------------------| Branch_Target_Buffer_Register
+Archive            : libBranch_Target_Buffer_Register
+ar: creating lib/libBranch_Target_Buffer_Register.a
+a - obj/Branch_Target_Buffer_Register_allocation.o
+a - obj/Branch_Target_Buffer_Register.o
+a - obj/Branch_Target_Buffer_Register_deallocation.o
+a - obj/Branch_Target_Buffer_Register_end_cycle.o
+a - obj/Branch_Target_Buffer_Register_genMealy_decod.o
+a - obj/Branch_Target_Buffer_Register_genMealy_predict.o
+a - obj/Branch_Target_Buffer_Register_genMealy_update.o
+a - obj/Branch_Target_Buffer_Register_statistics_allocation.o
+a - obj/Branch_Target_Buffer_Register_statistics_deallocation.o
+a - obj/Branch_Target_Buffer_Register_transition.o
+a - obj/Branch_Target_Buffer_Register_vhdl_body.o
+a - obj/Branch_Target_Buffer_Register_vhdl.o
+a - obj/Branch_Target_Buffer_Register_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : ParamCompilatio-------------------| Sort
+on
+arameters_printCompilation        : Parameters
+Compilation        : Sort_allocation
+Archive            : libSort
+ar: creating lib/libSort.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Sort_allocation.o
+a - obj/Sort.o
+a - obj/Sort_deallocation.o
+a - obj/Sort_end_cycle.o
+a - obj/Sort_genMealy.o
+a - obj/Sort_statistics_allocation.o
+a - obj/Sort_statistics_deallocation.o
+a - obj/Sort_transition.o
+a - obj/Sort_vhdl_body.o
+a - obj/Sort_vhdl.o
+a - obj/Sort_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Victim_Pseudo_LRU_vhdCompilation        : Parameters
+       : Victim_Pseudo_LRCompilation        : Victim_Pseudo_LRU_deallocation
+Archive            : libVictim_Pseudo_LRU
+ar: creating lib/libVictim_Pseudo_LRU.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Victim_Pseudo_LRU_allocation.o
+a - obj/Victim_Pseudo_LRU.o
+a - obj/Victim_Pseudo_LRU_deallocation.o
+a - obj/Victim_Pseudo_LRU_end_cycle.o
+a - obj/Victim_Pseudo_LRU_genMealy.o
+a - obj/Victim_Pseudo_LRU_statistics_declaration.o
+a - obj/Victim_Pseudo_LRU_transition.o
+a - obj/Victim_Pseudo_LRU_vhdl_body.o
+a - obj/Victim_Pseudo_LRU_vhdl.o
+a - obj/Victim_Pseudo_LRU_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Victim_deallocatio-------------------| Victim
+Compilation        : Parameters_print
+Archive            : libVictim
+ar: creating lib/libVictim.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Victim_allocation.o
+a - obj/Victim.o
+a - obj/Victim_deallocation.o
+Create directory   : obj
+Compilation        : Branch_TargCompilation    -------------------| Branch_Target_Buffer
+Archive            : libBranch_Target_Buffer
+ar: creating lib/libBranch_Target_Buffer.a
+a - obj/Branch_Target_Buffer_allocation.o
+a - obj/Branch_Target_Buffer.o
+a - obj/Branch_Target_Buffer_deallocation.o
+a - obj/Branch_Target_Buffer_end_cycle.o
+a - obj/Branch_Target_Buffer_statistics_allocation.o
+a - obj/Branch_Target_Buffer_statistics_deallocation.o
+a - obj/Branch_Target_Buffer_transition.o
+a - obj/Branch_Target_Buffer_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Direction_Glue_vhdl
+yCompilationCompiCompilation        : Direction_Glue_genMealy_update
+Archive            : libDirection_Glue
+ar: creating lib/libDirection_Glue.a
+a - obj/Direction_Glue_allocation.o
+a - obj/Direction_Glue.o
+a - obj/Direction_Glue_deallocation.o
+a - obj/Direction_Glue_end_cycle.o
+a - obj/Direction_Glue_genMealy_predict.o
+a - obj/Direction_Glue_genMealy_update.o
+a - obj/Direction_Glue_statistics_allocation.o
+a - obj/Direction_Glue_statistics_deallocation.o
+a - obj/Direction_Glue_transition.o
+a - obj/Direction_Glue_vhdl_body.o
+a - obj/Direction_Glue_vhdl.o
+a - obj/Direction_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Direction_statistics_CoCompilation        : Parameters_print
+Archive            : libDirection
+ar: creating lib/libDirection.a
+a - obj/Direction_allocation.o
+a - obj/Direction.o
+a - obj/Direction_deallocation.o
+a - obj/Direction_end_cycle.o
+a - obj/Direction_statistics_allocation.o
+a - obj/Direction_statistics_deallocation.o
+a - obj/Direction_transition.o
+a - obj/Direction_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Return_Address_Stack_statistics_dealloCompilation        : Parameters
+-------------------| Return_Address_Stack
+Archive            : libReturn_Address_Stack
+ar: creating lib/libReturn_Address_Stack.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Return_Address_Stack_allocation.o
+a - obj/Return_Address_Stack.o
+a - obj/Return_Address_Stack_deallocation.o
+a - obj/Return_Address_Stack_end_cycle.o
+a - obj/Return_Address_Stack_genMealy_decod.o
+a - obj/Return_Address_Stack_genMealy_predict.o
+a - obj/Return_Address_Stack_statistics_allocation.o
+a - obj/Return_Address_Stack_statistics_deallocation.o
+a - obj/Return_Address_Stack_transition.o
+a - obj/Return_Address_Stack_vhdl_body.o
+a - obj/Return_Address_Stack_vhdl.o
+a - obj/Return_Address_Stack_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Update_Prediction_Table_end_cCompilation        : Update_Prediction_Table_genMealy_predict
+Archive            : libUpdate_Prediction_Table
+ar: creating lib/libUpdate_Prediction_Table.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Update_Prediction_Table_allocation.o
+a - obj/Update_Prediction_Table.o
+a - obj/Update_Prediction_Table_deallocation.o
+a - obj/Update_Prediction_Table_end_cycle.o
+a - obj/Update_Prediction_Table_genMealy_branch_complete.o
+a - obj/Update_Prediction_Table_genMealy_decod.o
+a - obj/Update_Prediction_Table_genMealy_predict.o
+a - obj/Update_Prediction_Table_genMoore.o
+a - obj/Update_Prediction_Table_statistics_allocation.o
+a - obj/Update_Prediction_Table_statistics_deallocation.o
+a - obj/Update_Prediction_Table_transition.o
+a - obj/Update_Prediction_Table_vhdl_body.o
+a - obj/Update_Prediction_Table_vhdl.o
+a - obj/Update_Prediction_Table_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Prediction_unit_Glue_statisticsCompilation        : Prediction_unit_Glue_genMealy_decod
+t
+_deCompilation        : Parameters_msg_error
+
+-------------------| Prediction_unit_Glue
+Archive            : libPrediction_unit_Glue
+ar: creating lib/libPrediction_unit_Glue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Prediction_unit_Glue_allocation.o
+a - obj/Prediction_unit_Glue.o
+a - obj/Prediction_unit_Glue_deallocation.o
+a - obj/Prediction_unit_Glue_end_cycle.o
+a - obj/Prediction_unit_Glue_genMealy_decod.o
+a - obj/Prediction_unit_Glue_genMealy_predict.o
+a - obj/Prediction_unit_Glue_genMealy_update.o
+a - obj/Prediction_unit_Glue_statistics_allocation.o
+a - obj/Prediction_unit_Glue_statistics_deallocation.o
+a - obj/Prediction_unit_Glue_transition.o
+a - obj/Prediction_unit_Glue_vhdl_body.o
+a - obj/Prediction_unit_Glue_vhdl.o
+a - obj/Prediction_unit_Glue_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Prediction_unit_-------------------| Prediction_unit
+Archive            : libPrediction_unit
+ar: creating lib/libPrediction_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Prediction_unit_allocation.o
+a - obj/Prediction_unit.o
+a - obj/Prediction_unit_deallocation.o
+a - obj/Prediction_unit_end_cycle.o
+a - obj/Prediction_unit_statistics_allocation.o
+a - obj/Prediction_unit_statistics_deallocation.o
+a - obj/Prediction_unit_transition.o
+a - obj/Prediction_unit_vhdl.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+-------------------| Common
+-------------------| Behavioural
+-------------------| Instruction
+-------------------| Operation
+-------------------| Custom
+Create directory   : obj
+Compilation        : Decod_transition-------------------| Decod
+Archive            : libDecod
+ar: creating lib/libDecod.a
+a - obj/Decod_allocation.o
+a - obj/Decod.o
+a - obj/Decod_deallocation.o
+a - obj/Decod_end_cycle.o
+a - obj/Decod_genMealy.o
+a - obj/Decod_statistics_allocation.o
+a - obj/Decod_statistics_deallocation.o
+a - obj/Decod_transition.o
+a - obj/Decod_vhdl_body.o
+a - obj/Decod_vhdl.o
+a - obj/Decod_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Decod_queueCompilation        : Decod_queu-------------------| Decod_queue
+Archive            : libDecod_queue
+ar: creating lib/libDecod_queue.a
+a - obj/Decod_queue_allocation.o
+a - obj/Decod_queue.o
+a - obj/Decod_queue_deallocation.o
+a - obj/Decod_queue_end_cycle.o
+a - obj/Decod_queue_genMealy_decod_out.o
+a - obj/Decod_queue_genMoore.o
+a - obj/Decod_queue_statistics_allocation.o
+a - obj/Decod_queue_statistics_deallocation.o
+a - obj/Decod_queue_transition.o
+a - obj/Decod_queue_vhdl_body.o
+a - obj/Decod_queue_vhdl.o
+a - obj/Decod_queue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Decod_unit_statiCompilation        : Decod_unit_end_cycle
+n
+n
+-------------------| Decod_unit
+Compilation        : Decod_unit_statistics_allocation
+Archive            : libDecod_unit
+ar: creating lib/libDecod_unit.a
+a - obj/Decod_unit_allocation.o
+a - obj/Decod_unit.o
+a - obj/Decod_unit_deallocation.o
+a - obj/Decod_unit_end_cycle.o
+a - obj/Decod_unit_statistics_allocation.o
+a - obj/Decod_unit_statistics_deallocation.o
+a - obj/Decod_unit_transition.o
+a - obj/Decod_unit_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Context_State_endCoCompilation        : Context_State
+vhdl_declaratio-------------------| Context_State
+Archive            : libContext_State
+ar: creating lib/libContext_State.a
+a - obj/Context_State_allocation.o
+a - obj/Context_State.o
+a - obj/Context_State_deallocation.o
+a - obj/Context_State_end_cycle.o
+a - obj/Context_State_genMoore.o
+a - obj/Context_State_statistics_allocation.o
+a - obj/Context_State_statistics_deallocation.o
+a - obj/Context_State_transition.o
+a - obj/Context_State_vhdl_body.o
+a - obj/Context_State_vhdl.o
+a - obj/Context_State_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Parameters_Compilation        : Parameters_prin-------------------| Front_end_Glue
+Archive            : libFront_end_Glue
+ar: creating lib/libFront_end_Glue.a
+a - obj/Front_end_Glue_allocation.o
+a - obj/Front_end_Glue.o
+a - obj/Front_end_Glue_deallocation.o
+a - obj/Front_end_Glue_end_cycle.o
+a - obj/Front_end_Glue_genMealy_branch_complete.o
+a - obj/Front_end_Glue_genMealy_decod.o
+a - obj/Front_end_Glue_genMealy_depth.o
+a - obj/Front_end_Glue_genMealy_event.o
+a - obj/Front_end_Glue_statistics_allocation.o
+a - obj/Front_end_Glue_statistics_deallocation.o
+a - obj/Front_end_Glue_transition.o
+a - obj/Front_end_Glue_vhdl_body.o
+a - obj/Front_end_Glue_vhdl.o
+a - obj/Front_end_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Front_end_statistCompilation        : Front_end_end_cycle
+
+CoCreate directory   : lib
+Archive            : libFront_end
+ar: creating lib/libFront_end.a
+a - obj/Front_end_allocation.o
+a - obj/Front_end.o
+a - obj/Front_end_deallocation.o
+a - obj/Front_end_end_cycle.o
+a - obj/Front_end_statistics_allocation.o
+a - obj/Front_end_statistics_deallocation.o
+a - obj/Front_end_transition.o
+a - obj/Front_end_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Create directory   : lib
+-------------------| Commit_unit
+src/Commit_unit_transition.cpp: In member function 'void morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Commit_unit::transition()':
+src/Commit_unit_transition.cpp:460: attention : format '%d' expects type 'int', but argument 4 has type 'size_t'
+Archive            : libCommit_unit
+ar: creating lib/libCommit_unit.a
+a - obj/Commit_unit_allocation.o
+a - obj/Commit_unit.o
+a - obj/Commit_unit_deallocation.o
+a - obj/Commit_unit_end_cycle.o
+a - obj/Commit_unit_genMealy_commit.o
+a - obj/Commit_unit_genMealy_insert.o
+a - obj/Commit_unit_genMealy_retire.o
+a - obj/Commit_unit_genMoore.o
+a - obj/Commit_unit_statistics_allocation.o
+a - obj/Commit_unit_statistics_deallocation.o
+a - obj/Commit_unit_transition.o
+a - obj/Commit_unit_vhdl_body.o
+a - obj/Commit_unit_vhdl.o
+a - obj/Commit_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Compilation        : Issue_queueCCompilation        : Issue_queue_statistics_allocation
+src/Issue_queue_transition.cpp: In member function 'void morpheo::behavioural::core::multi_ooo_engine::ooo_engine::issue_queue::Issue_queue::transition()':
+src/Issue_queue_transition.cpp:157: attention : format '%d' expects type 'int', but argument 4 has type 'size_t'
+Archive            : libIssue_queue
+ar: creating lib/libIssue_queue.a
+a - obj/Issue_queue_allocation.o
+a - obj/Issue_queue.o
+a - obj/Issue_queue_deallocation.o
+a - obj/Issue_queue_end_cycle.o
+a - obj/Issue_queue_genMealy.o
+a - obj/Issue_queue_genMoore.o
+a - obj/Issue_queue_statistics_allocation.o
+a - obj/Issue_queue_statistics_deallocation.o
+a - obj/Issue_queue_transition.o
+a - obj/Issue_queue_vhdl_body.o
+a - obj/Issue_queue_vhdl.o
+a - obj/Issue_queue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Compilation        : Reexecute_unit_vhdl_body
+
+allocaCreate -------------------| Reexecute_unit
+Archive            : libReexecute_unit
+ar: creating lib/libReexecute_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Reexecute_unit_allocation.o
+a - obj/Reexecute_unit.o
+a - obj/Reexecute_unit_deallocation.o
+a - obj/Reexecute_unit_end_cycle.o
+a - obj/Reexecute_unit_genMealy_commit.o
+a - obj/Reexecute_unit_genMealy_reexecute.o
+a - obj/Reexecute_unit_genMoore.o
+a - obj/Reexecute_unit_must_reexecute.o
+a - obj/Reexecute_unit_statistics_allocation.o
+a - obj/Reexecute_unit_statistics_deallocation.o
+a - obj/Reexecute_unit_transition.o
+a - obj/Reexecute_unit_vhdl_body.o
+a - obj/Reexecute_unit_vhdl.o
+a - obj/Reexecute_unit_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Load_Store_pointeCompilation        : Load_Store_pointer_unit_genMealy_retire
+Compilation        : Load_Store_pointer_unit_statistics_declaration
+Compilation        : LoadCompilation        : Load_Store_pointer_unit_vhdl_body
+Compilation        : Load_Store_pointer_unit_genMealy_insert
+-------------------| Load_Store_pointer_unit
+Archive            : libLoad_Store_pointer_unit
+ar: creating lib/libLoad_Store_pointer_unit.a
+a - obj/Load_Store_pointer_unit_allocation.o
+a - obj/Load_Store_pointer_unit.o
+a - obj/Load_Store_pointer_unit_deallocation.o
+a - obj/Load_Store_pointer_unit_end_cycle.o
+a - obj/Load_Store_pointer_unit_genMealy_insert.o
+a - obj/Load_Store_pointer_unit_genMealy_retire.o
+a - obj/Load_Store_pointer_unit_statistics_declaration.o
+a - obj/Load_Store_pointer_unit_transition.o
+a - obj/Load_Store_pointer_unit_vhdl_body.o
+a - obj/Load_Store_pointer_unit_vhdl.o
+a - obj/Load_Store_pointer_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Register_Address_Translation_unit_-------------------| Register_Address_Translation_unit
+Archive            : libRegister_Address_Translation_unit
+ar: creating lib/libRegister_Address_Translation_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Register_Address_Translation_unit_allocation.o
+a - obj/Register_Address_Translation_unit.o
+a - obj/Register_Address_Translation_unit_deallocation.o
+a - obj/Register_Address_Translation_unit_end_cycle.o
+a - obj/Register_Address_Translation_unit_genMealy_rename.o
+a - obj/Register_Address_Translation_unit_genMealy_retire.o
+a - obj/Register_Address_Translation_unit_statistics_declaration.o
+a - obj/Register_Address_Translation_unit_transition.o
+a - obj/Register_Address_Translation_unit_vhdl_body.o
+a - obj/Register_Address_Translation_unit_vhdl.o
+a - obj/Register_Address_Translation_unit_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Free_List_uCompilation   -------------------| Free_List_unit
+Archive            : libFree_List_unit
+ar: creating lib/libFree_List_unit.a
+a - obj/Free_List_unit_allocation.o
+a - obj/Free_List_unit.o
+a - obj/Free_List_unit_deallocation.o
+a - obj/Free_List_unit_end_cycle.o
+a - obj/Free_List_unit_genMealy_pop.o
+a - obj/Free_List_unit_genMealy_push_gpr.o
+a - obj/Free_List_unit_genMealy_push_spr.o
+a - obj/Free_List_unit_statistics_declaration.o
+a - obj/Free_List_unit_transition.o
+a - obj/Free_List_unit_vhdl_body.o
+a - obj/Free_List_unit_vhdl.o
+a - obj/Free_List_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Para-----------------Compilation        : Stat_List_unit
+Archive            : libStat_List_unit
+ar: creating lib/libStat_List_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Stat_List_unit_allocation.o
+a - obj/Stat_List_unit.o
+a - obj/Stat_List_unit_deallocation.o
+a - obj/Stat_List_unit_end_cycle.o
+a - obj/Stat_List_unit_genMealy.o
+a - obj/Stat_List_unit_genMoore.o
+a - obj/Stat_List_unit_statistics_declaration.o
+a - obj/Stat_List_unit_transition.o
+a - obj/Stat_List_unit_vhdl_body.o
+a - obj/Stat_List_unit_vhdl.o
+a - obj/Stat_List_unit_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Create directory   : lib
+ndency_checking_unit_allocation
+Compilation        : Dependency_checking_unit_deallocation
+Archive            : libDependency_checking_unit
+ar: creating lib/libDependency_checking_unit.a
+a - obj/Dependency_checking_unit_allocation.o
+a - obj/Dependency_checking_unit.o
+a - obj/Dependency_checking_unit_deallocation.o
+a - obj/Dependency_checking_unit_end_cycle.o
+a - obj/Dependency_checking_unit_genMealy.o
+a - obj/Dependency_checking_unit_statistics_declaration.o
+a - obj/Dependency_checking_unit_transition.o
+a - obj/Dependency_checking_unit_vhdl_body.o
+a - obj/Dependency_checking_unit_vhdl.o
+a - obj/Dependency_checking_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Register_translation_unit_Glue_vhdl_CompiCompilation        : Parameters
+rror
+unit_Glue
+deallocatiCre-------------------| Register_translation_unit_Glue
+Archive            : libRegister_translation_unit_Glue
+ar: creating lib/libRegister_translation_unit_Glue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Register_translation_unit_Glue_allocation.o
+a - obj/Register_translation_unit_Glue.o
+a - obj/Register_translation_unit_Glue_deallocation.o
+a - obj/Register_translation_unit_Glue_end_cycle.o
+a - obj/Register_translation_unit_Glue_genMealy_insert.o
+a - obj/Register_translation_unit_Glue_genMealy_insert_valack.o
+a - obj/Register_translation_unit_Glue_genMealy_retire.o
+a - obj/Register_translation_unit_Glue_statistics_declaration.o
+a - obj/Register_translation_unit_Glue_transition.o
+a - obj/Register_translation_unit_Glue_vhdl_body.o
+a - obj/Register_translation_unit_Glue_vhdl.o
+a - obj/Register_translation_unit_Glue_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Register_translation_unit_deallocatiCompilation        : Parameters
+print
+ion_-------------------| Register_translation_unit
+Archive            : libRegister_translation_unit
+ar: creating lib/libRegister_translation_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Register_translation_unit_allocation.o
+a - obj/Register_translation_unit.o
+a - obj/Register_translation_unit_deallocation.o
+a - obj/Register_translation_unit_end_cycle.o
+a - obj/Register_translation_unit_statistics_declaration.o
+a - obj/Register_translation_unit_transition.o
+a - obj/Register_translation_unit_vhdl.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Compilation        : Rename_select_deallCompilation        : Rename_select_genMealy
+-------------------| Rename_select
+Archive            : libRename_select
+ar: creating lib/libRename_select.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Rename_select_allocation.o
+a - obj/Rename_select.o
+a - obj/Rename_select_deallocation.o
+a - obj/Rename_select_end_cycle.o
+a - obj/Rename_select_genMealy.o
+a - obj/Rename_select_statistics_declaration.o
+a - obj/Rename_select_transition.o
+a - obj/Rename_select_vhdl_body.o
+a - obj/Rename_select_vhdl.o
+a - obj/Rename_select_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Rename_unit_Glue_statisticsCompilation        : Rename_unit_Glue_allocation
+Archive            : libRename_unit_Glue
+ar: creating lib/libRename_unit_Glue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Rename_unit_Glue_allocation.o
+a - obj/Rename_unit_Glue.o
+a - obj/Rename_unit_Glue_deallocation.o
+a - obj/Rename_unit_Glue_end_cycle.o
+a - obj/Rename_unit_Glue_genMealy_insert.o
+a - obj/Rename_unit_Glue_genMealy_insert_valack.o
+a - obj/Rename_unit_Glue_genMealy_retire_valack.o
+a - obj/Rename_unit_Glue_statistics_allocation.o
+a - obj/Rename_unit_Glue_statistics_deallocation.o
+a - obj/Rename_unit_Glue_transition.o
+a - obj/Rename_unit_Glue_vhdl_body.o
+a - obj/Rename_unit_Glue_vhdl.o
+a - obj/Rename_unit_Glue_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Parameters_msg_erCreat-------------------| Rename_unit
+Archive            : libRename_unit
+ar: creating lib/libRename_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Rename_unit_allocation.o
+a - obj/Rename_unit.o
+a - obj/Rename_unit_deallocation.o
+a - obj/Rename_unit_end_cycle.o
+a - obj/Rename_unit_statistics_allocation.o
+a - obj/Rename_unit_statistics_deallocation.o
+a - obj/Rename_unit_transition.o
+a - obj/Rename_unit_vhdl.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Special_Register_unit_Compilation      -------------------| Special_Register_unit
+Archive            : libSpecial_Register_unit
+ar: creating lib/libSpecial_Register_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Special_Register_unit_allocation.o
+a - obj/Special_Register_unit.o
+a - obj/Special_Register_unit_deallocation.o
+a - obj/Special_Register_unit_end_cycle.o
+a - obj/Special_Register_unit_genMealy_spr_access.o
+a - obj/Special_Register_unit_genMoore.o
+a - obj/Special_Register_unit_statistics_allocation.o
+a - obj/Special_Register_unit_statistics_deallocation.o
+a - obj/Special_Register_unit_transition.o
+a - obj/Special_Register_unit_vhdl_body.o
+a - obj/Special_Register_unit_vhdl.o
+a - obj/Special_Register_unit_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : OOO_Engine_Glue_gCompilati-------------------| OOO_Engine_Glue
+Archive            : libOOO_Engine_Glue
+ar: creating lib/libOOO_Engine_Glue.a
+a - obj/OOO_Engine_Glue_allocation.o
+a - obj/OOO_Engine_Glue.o
+a - obj/OOO_Engine_Glue_deallocation.o
+a - obj/OOO_Engine_Glue_end_cycle.o
+a - obj/OOO_Engine_Glue_genMealy_insert.o
+a - obj/OOO_Engine_Glue_genMealy_insert_valack.o
+a - obj/OOO_Engine_Glue_genMealy_rename.o
+a - obj/OOO_Engine_Glue_genMealy_retire.o
+a - obj/OOO_Engine_Glue_genMealy_retire_valack.o
+a - obj/OOO_Engine_Glue_genMealy_spr.o
+a - obj/OOO_Engine_Glue_statistics_allocation.o
+a - obj/OOO_Engine_Glue_statistics_deallocation.o
+a - obj/OOO_Engine_Glue_transition.o
+a - obj/OOO_Engine_Glue_vhdl_body.o
+a - obj/OOO_Engine_Glue_vhdl.o
+a - obj/OOO_Engine_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : OOO_Engine
+Compilation        : OOO_Engine_allocation
+Archive            : libOOO_Engine
+ar: creating lib/libOOO_Engine.a
+a - obj/OOO_Engine_allocation.o
+a - obj/OOO_Engine.o
+a - obj/OOO_Engine_deallocation.o
+a - obj/OOO_Engine_end_cycle.o
+a - obj/OOO_Engine_statistics_allocation.o
+a - obj/OOO_Engine_statistics_deallocation.o
+a - obj/OOO_Engine_transition.o
+a - obj/OOO_Engine_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Parameters_msg_erCreate directory   : lib
+ute_loop_Glue_vhdl_body
+-------------------| Execute_loop_Glue
+oop_Glue_genMealy_spr_Compilation        : Execute_loop_Glue_statistics_allocation
+Archive            : libExecute_loop_Glue
+ar: creating lib/libExecute_loop_Glue.a
+a - obj/Execute_loop_Glue_allocation.o
+a - obj/Execute_loop_Glue.o
+a - obj/Execute_loop_Glue_deallocation.o
+a - obj/Execute_loop_Glue_end_cycle.o
+a - obj/Execute_loop_Glue_genMealy_gpr_write.o
+a - obj/Execute_loop_Glue_genMealy_spr_write.o
+a - obj/Execute_loop_Glue_statistics_allocation.o
+a - obj/Execute_loop_Glue_statistics_deallocation.o
+a - obj/Execute_loop_Glue_transition.o
+a - obj/Execute_loop_Glue_vhdl_body.o
+a - obj/Execute_loop_Glue_vhdl.o
+a - obj/Execute_loop_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Queue_Control
+nb_eCreate directory   : lib
+-------------------| Queue_Control
+Archive            : libQueue_Control
+ar: creating lib/libQueue_Control.a
+a - obj/Queue_Control_clear.o
+a - obj/Queue_Control.o
+a - obj/Queue_Control_flags.o
+a - obj/Queue_Control_nb_elt.o
+a - obj/Queue_Control_operator.o
+a - obj/Queue_Control_pop.o
+a - obj/Queue_Control_push.o
+Create directory   : obj
+Compilation        : Queue_genMoore
+
+
+declarCompilation        : Queu-------------------| Queue
+Archive            : libQueue
+ar: creating lib/libQueue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Queue_allocation.o
+a - obj/Queue.o
+a - obj/Queue_deallocation.o
+a - obj/Queue_end_cycle.o
+a - obj/Queue_genMoore.o
+a - obj/Queue_statistics_declaration.o
+a - obj/Queue_transition.o
+a - obj/Queue_vhdl_body.o
+a - obj/Queue_vhdl.o
+a - obj/Queue_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Read_queue_transCompiC-------------------| Read_queue
+src/Read_queue_transition.cpp: In member function 'void morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_read_unit::read_unit::read_queue::Read_queue::transition()':
+src/Read_queue_transition.cpp:49: attention : format '%d' expects type 'int', but argument 3 has type 'size_t'
+src/Read_queue_transition.cpp:144: attention : format '%d' expects type 'int', but argument 3 has type 'size_t'
+Archive            : libRead_queue
+ar: creating lib/libRead_queue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Read_queue_allocation.o
+a - obj/Read_queue.o
+a - obj/Read_queue_deallocation.o
+a - obj/Read_queue_end_cycle.o
+a - obj/Read_queue_genMealy_read_queue_out_gpr.o
+a - obj/Read_queue_genMealy_read_queue_out_spr.o
+a - obj/Read_queue_genMealy_read_queue_out_val.o
+a - obj/Read_queue_genMoore.o
+a - obj/Read_queue_statistics_declaration.o
+a - obj/Read_queue_transition.o
+a - obj/Read_queue_vhdl_body.o
+a - obj/Read_queue_vhdl.o
+a - obj/Read_queue_vhdl_declaration.o
+-------------------| Queue_Control
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Parameters_msg_error
+nd_cCompiCompilation        : Parameters_print
+Archive            : libReservation_station
+ar: creating lib/libReservation_station.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Reservation_station_allocation.o
+a - obj/Reservation_station.o
+a - obj/Reservation_station_deallocation.o
+a - obj/Reservation_station_end_cycle.o
+a - obj/Reservation_station_genMoore.o
+a - obj/Reservation_station_statistics_declaration.o
+a - obj/Reservation_station_transition.o
+a - obj/Reservation_station_vhdl_body.o
+a - obj/Reservation_station_vhdl.o
+a - obj/Reservation_station_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Read_unit_deallCompiCompilation        : Read_unit_allocation
+Archive            : libRead_unit
+ar: creating lib/libRead_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Read_unit_allocation.o
+a - obj/Read_unit.o
+a - obj/Read_unit_deallocation.o
+a - obj/Read_unit_end_cycle.o
+a - obj/Read_unit_statistics_declaration.o
+a - obj/Read_unit_transition.o
+a - obj/Read_unit_vhdl.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Instruction
+-------------------| Operation
+-------------------| Custom
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Create directory   : lib
+Compilation        : Functionnal_unit_Compi-------------------| Functionnal_unit
+Archive            : libFunctionnal_unit
+ar: creating lib/libFunctionnal_unit.a
+a - obj/Functionnal_unit_allocation.o
+a - obj/Functionnal_unit.o
+a - obj/Functionnal_unit_deallocation.o
+a - obj/Functionnal_unit_end_cycle.o
+a - obj/Functionnal_unit_genMoore.o
+a - obj/Functionnal_unit_statistics_declaration.o
+a - obj/Functionnal_unit_transition.o
+a - obj/Functionnal_unit_vhdl_body.o
+a - obj/Functionnal_unit_vhdl.o
+a - obj/Functionnal_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Queue_Control
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Load_store_unit_genMealy_Compilation        : Load_store_unit_genMealCompilation        : Load_store_unit_function_speculative_load_commit_genMealy_dcache
+Archive            : libLoad_store_unit
+ar: creating lib/libLoad_store_unit.a
+a - obj/Load_store_unit_allocation.o
+a - obj/Load_store_unit.o
+a - obj/Load_store_unit_deallocation.o
+a - obj/Load_store_unit_end_cycle.o
+a - obj/Load_store_unit_function_speculative_load_commit_genMealy_dcache.o
+a - obj/Load_store_unit_function_speculative_load_commit_genMealy_insert.o
+a - obj/Load_store_unit_function_speculative_load_commit_genMealy_retire.o
+a - obj/Load_store_unit_function_speculative_load_commit_genMoore.o
+a - obj/Load_store_unit_function_speculative_load_commit_transition.o
+a - obj/Load_store_unit_genMealy_dcache.o
+a - obj/Load_store_unit_genMealy_insert.o
+a - obj/Load_store_unit_genMealy_retire.o
+a - obj/Load_store_unit_genMoore.o
+a - obj/Load_store_unit_statistics_declaration.o
+a - obj/Load_store_unit_transition.o
+a - obj/Load_store_unit_vhdl_body.o
+a - obj/Load_store_unit_vhdl.o
+a - obj/Load_store_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Write_queue_genMoCreate directory  Compilation        : Parameters_print
+Archive            : libWrite_queue
+ar: creating lib/libWrite_queue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Write_queue_allocation.o
+a - obj/Write_queue.o
+a - obj/Write_queue_deallocation.o
+a - obj/Write_queue_end_cycle.o
+a - obj/Write_queue_genMoore.o
+a - obj/Write_queue_statistics_declaration.o
+a - obj/Write_queue_transition.o
+a - obj/Write_queue_vhdl_body.o
+a - obj/Write_queue_vhdl.o
+a - obj/Write_queue_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Execute_queue_allocation
+Compilation        : Execute_queue_vhdCompila-------------------| Execute_queue
+CompilCompilation        : Parameters
+Archive            : libExecute_queue
+ar: creating lib/libExecute_queue.a
+a - obj/Execute_queue_allocation.o
+a - obj/Execute_queue.o
+a - obj/Execute_queue_deallocation.o
+a - obj/Execute_queue_end_cycle.o
+a - obj/Execute_queue_genMoore.o
+a - obj/Execute_queue_statistics_declaration.o
+a - obj/Execute_queue_transition.o
+a - obj/Execute_queue_vhdl_body.o
+a - obj/Execute_queue_vhdl.o
+a - obj/Execute_queue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Write_unit_deallC-------------------| Write_unit
+Archive            : libWrite_unit
+ar: creating lib/libWrite_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Write_unit_allocation.o
+a - obj/Write_unit.o
+a - obj/Write_unit_deallocation.o
+a - obj/Write_unit_end_cycle.o
+a - obj/Write_unit_statistics_declaration.o
+a - obj/Write_unit_transition.o
+a - obj/Write_unit_vhdl.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : RegisterFile_Monolithic_statiCompilation       Compilation        : RegisterFile_Monolithic_vhdl_body
+Archive            : libRegisterFile_Monolithic
+ar: creating lib/libRegisterFile_Monolithic.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/RegisterFile_Monolithic_allocation.o
+a - obj/RegisterFile_Monolithic.o
+a - obj/RegisterFile_Monolithic_deallocation.o
+a - obj/RegisterFile_Monolithic_end_cycle.o
+a - obj/RegisterFile_Monolithic_genMealy_read.o
+a - obj/RegisterFile_Monolithic_statistics_declaration.o
+a - obj/RegisterFile_Monolithic_transition.o
+a - obj/RegisterFile_Monolithic_vhdl_body.o
+a - obj/RegisterFile_Monolithic_vhdl.o
+a - obj/RegisterFile_Monolithic_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Common
+-------------------| Behavioural
+-------------------| RegisterFile_Monolithic
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Select_Priority_Fixed_transCompiCompilation        : Select_Priority_Fixed_genMeaCompilation        : Select_Priority_Fixed_end_cycle
+Compilation        : Select_Priority_Fixed_deallocation
+Compilation        : Parameters
+Archive            : libSelect_Priority_Fixed
+ar: creating lib/libSelect_Priority_Fixed.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Select_Priority_Fixed_allocation.o
+a - obj/Select_Priority_Fixed.o
+a - obj/Select_Priority_Fixed_deallocation.o
+a - obj/Select_Priority_Fixed_end_cycle.o
+a - obj/Select_Priority_Fixed_genMealy_entity.o
+a - obj/Select_Priority_Fixed_statistics_declaration.o
+a - obj/Select_Priority_Fixed_transition.o
+a - obj/Select_Priority_Fixed_vhdl_body.o
+a - obj/Select_Priority_Fixed_vhdl.o
+a - obj/Select_Priority_Fixed_vhdl_declaration.o
+Create directory   : obj
+Compilation        : Para-------------------| RegisterFile_Multi_Banked
+Archive            : libRegisterFile_Multi_Banked
+ar: creating lib/libRegisterFile_Multi_Banked.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/RegisterFile_Multi_Banked_address_xxx.o
+a - obj/RegisterFile_Multi_Banked_allocation.o
+a - obj/RegisterFile_Multi_Banked.o
+a - obj/RegisterFile_Multi_Banked_deallocation.o
+a - obj/RegisterFile_Multi_Banked_end_cycle.o
+a - obj/RegisterFile_Multi_Banked_full_crossbar_genMealy_read.o
+a - obj/RegisterFile_Multi_Banked_full_crossbar_genMealy_write.o
+a - obj/RegisterFile_Multi_Banked_full_crossbar_transition.o
+a - obj/RegisterFile_Multi_Banked_genMealy_read.o
+a - obj/RegisterFile_Multi_Banked_genMealy_write.o
+a - obj/RegisterFile_Multi_Banked_partial_crossbar_genMealy_read.o
+a - obj/RegisterFile_Multi_Banked_partial_crossbar_genMealy_write.o
+a - obj/RegisterFile_Multi_Banked_partial_crossbar_transition.o
+a - obj/RegisterFile_Multi_Banked_statistics_declaration.o
+a - obj/RegisterFile_Multi_Banked_transition.o
+a - obj/RegisterFile_Multi_Banked_vhdl_body.o
+a - obj/RegisterFile_Multi_Banked_vhdl.o
+a - obj/RegisterFile_Multi_Banked_vhdl_declaration.o
+Create directory   : obj
+Compilation        : RegisterFile
+g_error
+tion
+Create directory   : lib
+Compilation        : Parameters
+-------------------| RegisterFile
+Archive            : libRegisterFile
+ar: creating lib/libRegisterFile.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/RegisterFile_allocation.o
+a - obj/RegisterFile.o
+a - obj/RegisterFile_deallocation.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Register_unit_Glue_genMealy_sCompilation  -------------------| Register_unit_Glue
+Archive            : libRegister_unit_Glue
+ar: creating lib/libRegister_unit_Glue.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Register_unit_Glue_allocation.o
+a - obj/Register_unit_Glue.o
+a - obj/Register_unit_Glue_deallocation.o
+a - obj/Register_unit_Glue_end_cycle.o
+a - obj/Register_unit_Glue_genMealy_gpr_read.o
+a - obj/Register_unit_Glue_genMealy_gpr_read_registerfile.o
+a - obj/Register_unit_Glue_genMealy_gpr_read_status.o
+a - obj/Register_unit_Glue_genMealy_gpr_registerfile.o
+a - obj/Register_unit_Glue_genMealy_gpr_write.o
+a - obj/Register_unit_Glue_genMealy_gpr_write_status.o
+a - obj/Register_unit_Glue_genMealy_insert.o
+a - obj/Register_unit_Glue_genMealy_retire.o
+a - obj/Register_unit_Glue_genMealy_spr_read.o
+a - obj/Register_unit_Glue_genMealy_spr_read_registerfile.o
+a - obj/Register_unit_Glue_genMealy_spr_read_status.o
+a - obj/Register_unit_Glue_genMealy_spr_registerfile.o
+a - obj/Register_unit_Glue_genMealy_spr_write.o
+a - obj/Register_unit_Glue_genMealy_spr_write_status.o
+a - obj/Register_unit_Glue_statistics_declaration.o
+a - obj/Register_unit_Glue_transition.o
+a - obj/Register_unit_Glue_vhdl_body.o
+a - obj/Register_unit_Glue_vhdl.o
+a - obj/Register_unit_Glue_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Parameters_msg_error
+ion
+Compilation        : Parameters
+Archive            : libRegister_unit
+ar: creating lib/libRegister_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Register_unit_allocation.o
+a - obj/Register_unit.o
+a - obj/Register_unit_deallocation.o
+a - obj/Register_unit_end_cycle.o
+a - obj/Register_unit_statistics_declaration.o
+a - obj/Register_unit_transition.o
+a - obj/Register_unit_vhdl_body.o
+a - obj/Register_unit_vhdl.o
+a - obj/Register_unit_vhdl_declaration.o
+-------------------| Common
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Read_unit_to_ExecCompilation        : Read_unit_to_Execution_unit_vhdl_declaration
+-------------------| Read_unit_to_Execution_unit
+Archive            : libRead_unit_to_Execution_unit
+ar: creating lib/libRead_unit_to_Execution_unit.a
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+a - obj/Read_unit_to_Execution_unit_allocation.o
+a - obj/Read_unit_to_Execution_unit.o
+a - obj/Read_unit_to_Execution_unit_deallocation.o
+a - obj/Read_unit_to_Execution_unit_end_cycle.o
+a - obj/Read_unit_to_Execution_unit_genMealy.o
+a - obj/Read_unit_to_Execution_unit_statistics_declaration.o
+a - obj/Read_unit_to_Execution_unit_transition.o
+a - obj/Read_unit_to_Execution_unit_vhdl_body.o
+a - obj/Read_unit_to_Execution_unit_vhdl.o
+a - obj/Read_unit_to_Execution_unit_vhdl_declaration.o
+-------------------| Behavioural
+Create directory   : obj
+Compilation        : Execution_uCompilation        : ParametersCompilation        : Executio-------------------| Execution_unit_to_Write_unit
+Archive            : libExecution_unit_to_Write_unit
+ar: creating lib/libExecution_unit_to_Write_unit.a
+a - obj/Execution_unit_to_Write_unit_allocation.o
+a - obj/Execution_unit_to_Write_unit.o
+a - obj/Execution_unit_to_Write_unit_deallocation.o
+a - obj/Execution_unit_to_Write_unit_end_cycle.o
+a - obj/Execution_unit_to_Write_unit_genMealy.o
+a - obj/Execution_unit_to_Write_unit_statistics_declaration.o
+a - obj/Execution_unit_to_Write_unit_transition.o
+a - obj/Execution_unit_to_Write_unit_vhdl_body.o
+a - obj/Execution_unit_to_Write_unit_vhdl.o
+a - obj/Execution_unit_to_Write_unit_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Create directory   : lib
+Compilation        : Execute_loop_end_CCompilation        : Execute_loop_allocation
+Archive            : libExecute_loop
+ar: creating lib/libExecute_loop.a
+a - obj/Execute_loop_allocation.o
+a - obj/Execute_loop.o
+a - obj/Execute_loop_deallocation.o
+a - obj/Execute_loop_end_cycle.o
+a - obj/Execute_loop_statistics_declaration.o
+a - obj/Execute_loop_transition.o
+a - obj/Execute_loop_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+-------------------| Common
+-------------------| Behavioural
+-------------------| Priority
+-------------------| Common
+Create directory   : obj
+Compilation        : Core_Glue
+-------------------| Core_Glue
+Archive            : libCore_Glue
+ar: creating lib/libCore_Glue.a
+a - obj/Core_Glue_allocation.o
+a - obj/Core_Glue.o
+a - obj/Core_Glue_deallocation.o
+a - obj/Core_Glue_end_cycle.o
+a - obj/Core_Glue_genMealy_branch_complete.o
+a - obj/Core_Glue_genMealy_commit_event.o
+a - obj/Core_Glue_genMealy_execute.o
+a - obj/Core_Glue_genMealy_insert.o
+a - obj/Core_Glue_genMealy_issue.o
+a - obj/Core_Glue_statistics_allocation.o
+a - obj/Core_Glue_statistics_deallocation.o
+a - obj/Core_Glue_transition.o
+a - obj/Core_Glue_vhdl_body.o
+a - obj/Core_Glue_vhdl.o
+a - obj/Core_Glue_vhdl_declaration.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Create directory   : lib
+Compilation        : Core_deallocation
+---Compilation        : Core_transition
+Compilation        : Core_end_cycle
+Archive            : libCore
+ar: creating lib/libCore.a
+a - obj/Core_allocation.o
+a - obj/Core.o
+a - obj/Core_deallocation.o
+a - obj/Core_end_cycle.o
+a - obj/Core_statistics_allocation.o
+a - obj/Core_statistics_deallocation.o
+a - obj/Core_transition.o
+a - obj/Core_vhdl.o
+a - obj/Parameters.o
+a - obj/Parameters_msg_error.o
+a - obj/Parameters_print.o
+Create directory   : obj
+Compilation        : Morpheo_statistics_deallocation
+Create directory   : lib
+-------------------| TopLevel
+Archive            : libMorpheo
+ar: creating lib/libMorpheo.a
+a - obj/Morpheo_allocation.o
+a - obj/Morpheo_configuration.o
+a - obj/Morpheo.o
+a - obj/Morpheo_deallocation.o
+a - obj/Morpheo_end_cycle.o
+a - obj/Morpheo_header.o
+a - obj/Morpheo_simulation_end.o
+a - obj/Morpheo_statistics_allocation.o
+a - obj/Morpheo_statistics_deallocation.o
+a - obj/Morpheo_transition.o
+a - obj/Morpheo_vhdl.o
+Compilation        : main
+Compilation        : test
+src/test.cpp: In function 'void test(std::string, std::string, std::string, std::string, morpheo::behavioural::custom::custom_information_t (*)())':
+src/test.cpp:45: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:46: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:47: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:48: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:49: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:50: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:52: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:53: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:54: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:55: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:56: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:57: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:59: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:60: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:61: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:62: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:63: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:64: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:65: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:67: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:68: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:69: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:70: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:71: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:72: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:74: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:85: erreur: cast from 'sc_core::sc_out<bool>*' to 'uint32_t' loses precision
+src/test.cpp:85: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:86: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:86: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:88: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:88: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:90: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:90: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:91: erreur: cast from 'sc_core::sc_out<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:91: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:92: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:92: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:94: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:94: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:95: erreur: cast from 'sc_core::sc_out<bool>*' to 'uint32_t' loses precision
+src/test.cpp:95: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:97: erreur: cast from 'sc_core::sc_in<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:97: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:99: erreur: cast from 'sc_core::sc_in<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:99: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:100: erreur: cast from 'sc_core::sc_in<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:100: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:101: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:101: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:103: erreur: cast from 'sc_core::sc_out<bool>*' to 'uint32_t' loses precision
+src/test.cpp:103: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:104: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:104: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:106: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:106: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:108: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:108: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:109: erreur: cast from 'sc_core::sc_out<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:109: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:110: erreur: cast from 'sc_core::sc_out<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:110: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:111: erreur: cast from 'sc_core::sc_out<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:111: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:113: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:113: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:114: erreur: cast from 'sc_core::sc_out<bool>*' to 'uint32_t' loses precision
+src/test.cpp:114: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:116: erreur: cast from 'sc_core::sc_in<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:116: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:118: erreur: cast from 'sc_core::sc_in<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:118: erreur: cast from 'sc_core::sc_signal<unsigned char>*' to 'uint32_t' loses precision
+src/test.cpp:119: erreur: cast from 'sc_core::sc_in<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:119: erreur: cast from 'sc_core::sc_signal<unsigned int>*' to 'uint32_t' loses precision
+src/test.cpp:120: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:120: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+src/test.cpp:122: erreur: cast from 'sc_core::sc_in<bool>*' to 'uint32_t' loses precision
+src/test.cpp:122: erreur: cast from 'sc_core::sc_signal<bool>*' to 'uint32_t' loses precision
+distcc[16160] ERROR: compile src/test.cpp on fox/8,lzo failed
+make[2]: *** [obj/test.o] Erreur 1
+make[1]: *** [all_selftest] Erreur 2
+make: *** [all] Erreur 2
+Command exited with non-zero status 2
+94.15user 117.94system 6:41.60elapsed 52%CPU (0avgtext+0avgdata 0maxresident)k
+0inputs+0outputs (0major+3715681minor)pagefaults 0swaps
